% This MATLAB program plots simulated posterior densities using triangular
% kernel

subplot('Position',[0.2 0.70 0.6 0.2]);
[f xx] = robust_dens(jdraws(1,:)',0.01,-3,3,100);
plot(xx,f)
axis([-3,3,0,2])
title('Posterior density of \mu1')

subplot('Position',[0.2 0.40 0.6 0.2]);
[f xx] = robust_dens(jdraws(2,:)',0.01,-3,3,100);
plot(xx,f)
axis([-3,3,0,1])
title('Posterior density of \mu2')

subplot('Position',[0.2 0.10 0.6 0.2]);
[f xx] = robust_dens(jdraws(3,:)',0.01,0,1,100);
plot(xx,f)
axis([0,1,0,4])
title('Posterior density of p')


