
/* Matrix error constants */

#define NO_ERR          0x00000000

#define MEM_ERR         0x00000001
#define SIZE_ERR        0x00000002
#define NULL_ERR        0x00000004
#define SING_ERR        0x00000008
#define ITER_ERR        0x00000010
#define POSDEF_ERR      0x00000020
#define FLOAT_ERR       0x00000040
#define ARG_ERR         0x00000080

#define UNKNOWN_ERR     0x80000000

#define KNOWN_ERRORS    0x000000FF
#define ALL_ERRORS     (KNOWN_ERRORS | UNKNOWN_ERR)

