% This MATLAB program plots contours for mixture example
% first load in data
load ydata.txt -ascii

pstar = 0.8;
mu1star = 1;
mu2star = -1;
n = 50;
yser = zeros(n,1);   % Overwritten.
seednumber = 69323;     % if 0, random state at each clock time
randn('state',seednumber);
rand('state',seednumber);
for drawi=1:n
      if (rand<=pstar)   % First state.
         sindx = 1;
      else           % Second state.
         sindx = 0;
      end
      yser(drawi) = (mu1star*sindx) + (mu2star*(1-sindx)) + randn;
   end
ydata = yser;

subplot('Position',[0.1 0.72 0.32 0.19])
[alpha1,alpha2,likes,thet] = twobytwo(ydata,0.8);
contourmax;
title('p=0.8')

subplot('Position',[0.52 0.72 0.32 0.19])
[alpha1,alpha2,likes,thet] = twobytwo(ydata,0.7);
contourmax;
title('p=0.7')

subplot('Position',[0.1 0.40 0.32 0.19])
[alpha1,alpha2,likes,thet] = twobytwo(ydata,0.6);
contourmax;
title('p=0.6')

subplot('Position',[0.52 0.40 0.32 0.19])
[alpha1,alpha2,likes,thet] = twobytwo(ydata,0.5);
contourmax;
title('p=0.5')

subplot('Position',[0.1 0.08 0.32 0.19])
[alpha1,alpha2,likes,thet] = twobytwo(ydata,0.4);
contourmax;
title('p=0.4')

subplot('Position',[0.52 0.08 0.32 0.19])
[alpha1,alpha2,likes,thet] = twobytwo(ydata,0.2);
contourmax;
title('p=0.2')
