function [alpha1,alpha2,likes,thet]=twobytwo(omvec,ydata,truedee);
% This Matlab function calculates matrix of data used to generate a contour plot
% for reduced form of supply-demand example 
% inputs:
% outputs:
% thet = 3 x 1 vector
%    (1) element = value of alpha1 for local max
%    (2) element = value of alpha2 for local max
%    (3) element = value of log likelihod for local max

veca = ones(3);
delj = 0.05;
nj = 2/0.05 + 1;
alpha1 = -1:delj:1;
alpha2 = -1:delj:1;
likes = zeros(nj,nj);
thet=zeros(3);

i = 1;
while i <= nj;
	j = 1;
	while j <= nj;
        veca(1) = alpha1(i);
		veca(2) = alpha2(j);
        alphac = alphag(veca);
        omegac = omegag(omvec,truedee);      
  		likes(i,j) = likely(ydata,alphac,omegac);
    j = j+1;
    end;
i = i+1;
end;
i = 2;
while i < nj;
    j = 2;
    while j < nj;
        if (likes(i,j)>likes(i,j-1))&(likes(i,j)>likes(i,j+1))...
            &(likes(i,j)>likes(i-1,j))&(likes(i,j)>likes(i+1,j));
                thet(1) = alpha1(i);
                thet(2) = alpha2(j);
                thet(3) = likes(i,j);
                icount = 2;
        end;
    j = j+1;        
    end;
i = i+1;
end;



